Subject: Re: .git/info/refs

From: Jakub Narebski <[email-masked]>
Date: Wed, 24 Jan 2007 21:40:06 +0100

H. Peter Anvin wrote:
> Jakub Narebski wrote:

>> Besides, we can't rely that .git/info/refs is up to date, or even exists.
>> It is for dumb protocols, not for gitweb.
> 
> Well, SOMETHING needs to be done for this page, since it can take 15 
> minutes or more to generate.  Caching doesn't help one iota, since it's 
> stale before being generated.

The simple and fast solution would be to make post-update hook contain
the git-for-each-ref with parameters like in git_get_last_activity,
saving e.g. to .git/info/last-committer, and in gitweb read this file
if it exist, run git-for-each-ref otherwise (similar to what we used to
do with .git/info/refs and git-peek-remote in gitweb).

-- 
Jakub Narebski
Poland